<template>
	<button :class="$style.button" @click="action()">{{ label }}</button>
</template>

<script>
export default {
	props: {
		label: { type: String, default: "none" },
	},
	methods: {
		action() {
			this.$emit("action", this.label);
		},
	},
};
</script>

<style lang="scss" module>
.button {
	box-sizing: border-box;
	border: 3px solid green;
	padding: 2vw;
	background-color: white;
}
</style>
